# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.73.0"
name = "janus_client"
version = "0.7.23"
description = "Client for Janus, the server powering ISRG's Divvi Up."
homepage = "https://divviup.org"
documentation = "https://docs.rs/janus_client"
readme = "README.md"
license = "MPL-2.0"
repository = "https://github.com/divviup/janus"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[dependencies.backoff]
version = "0.4.0"
features = ["tokio"]

[dependencies.bhttp]
version = "0.5.3"
features = [
    "bhttp",
    "http",
]
optional = true

[dependencies.derivative]
version = "2.2.0"

[dependencies.http]
version = "1.1"

[dependencies.itertools]
version = "0.12"

[dependencies.janus_core]
version = "0.7.23"

[dependencies.janus_messages]
version = "0.7.23"

[dependencies.ohttp]
version = "0.5.1"
features = [
    "client",
    "rust-hpke",
]
optional = true
default-features = false

[dependencies.prio]
version = "0.16.5"
features = ["experimental"]
default-features = false

[dependencies.rand]
version = "0.8"

[dependencies.reqwest]
version = "0.12.5"
features = [
    "rustls-tls",
    "json",
]
default-features = false

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1.38"
features = [
    "full",
    "tracing",
]

[dependencies.tracing]
version = "0.1.40"

[dependencies.url]
version = "2.5.2"
features = ["serde"]

[dev-dependencies.assert_matches]
version = "1"

[dev-dependencies.hex-literal]
version = "0.4.1"

[dev-dependencies.janus_core]
version = "0.7.23"
features = ["test-util"]

[dev-dependencies.mockito]
version = "1.4.0"

[dev-dependencies.ohttp]
version = "0.5.1"
default-features = true

[dev-dependencies.tokio]
version = "1.38"
features = [
    "full",
    "tracing",
]

[dev-dependencies.tracing-log]
version = "0.2.0"

[dev-dependencies.tracing-subscriber]
version = "0.3"
features = [
    "std",
    "env-filter",
    "fmt",
]

[features]
ohttp = [
    "dep:ohttp",
    "dep:bhttp",
]
